Bug 460661 - tiff2rgba ends with segmentation fault
tiff2rgba ends with segmentation fault
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: libtiff (Show other bugs)
3.9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 10:48 EDT by Milos Malik
Modified: 2013-07-02 23:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: libtiff-3.5.7-34.el3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:08:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-08-29 10:48:52 EDT
Description of problem:
The tiff2rgba utility segfaults when processing one of the official libtiff test
images -- zackthecat.tif .

Version-Release number of selected component (if applicable):
libtiff-3.5.7-31.el3

How reproducible:
Always

Steps to Reproduce:
1. Go to http://www.remotesensing.org/libtiff/images.html .
2. Download the latest archive of test images (
ftp://ftp.remotesensing.org/pub/libtiff/pics-3.8.0.tar.gz ).
3. Unpack the file zackthecat.tif .
# tiff2rgba zackthecat.tif temp.tif 
zackthecat.tif: Warning, unknown field with tag 512 (0x200) ignored.
zackthecat.tif: Warning, unknown field with tag 519 (0x207) ignored.
zackthecat.tif: Warning, unknown field with tag 520 (0x208) ignored.
zackthecat.tif: Warning, unknown field with tag 521 (0x209) ignored.
TIFFSetField: zackthecat.tif: Unknown pseudo-tag 65538.
zackthecat.tif: Old-style JPEG compression support is not configured.
Segmentation fault
# echo $?
139
# ls -l zackthecat.tif temp.tif 
-rw-r--r--    1 root     devqa8          8 Aug 29  2008 temp.tif
-rw-r--r--    1 root     devqa8       8258 Aug 29 10:22 zackthecat.tif
#
  
Actual results:
segmentation fault

Expected results:
no segmentation fault

Additional info:
Comment 1 Jiri Pallich 2012-06-20 12:08:26 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.